#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1000

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef FontID (*pfnFntSetFont)(FontID font);

FontID MyFntSetFont(FontID font)
{
	UInt32 dum_value;

	if (!FtrGet(MY_CRID, RESID + 1, (UInt32 *)&dum_value))
	{
		switch (font)
			{
			case 0x00:
				font = 0x34;
				break;
			case 0x01:
				font = 0x39;
				break;
			case 0x02:
				font = 0x00;
				break;
			case 0x03:
				font = 0x35;
				break;
			case 0x04:
				font = 0x36;
				break;
			case 0x05:
				font = 0x37;
				break;
			case 0x06:
				font = 0x38;
				break;
			case 0x07:
				font = 0x01;
			}
		}
	
	pfnFntSetFont oldTrap;
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);
	return oldTrap(font);
}
