#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1000

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef Boolean (*pfnSelectTime)(TimeType * startTimeP, TimeType * endTimeP, 
	Boolean untimed, const Char * titleP, Int16 startOfDay, Int16 endOfDay, 
	Int16 startOfDisplay);

Boolean MySelectTime (TimeType * startTimeP, TimeType * endTimeP, 
	Boolean untimed, const Char * titleP, Int16 startOfDay, Int16 endOfDay, 
	Int16 startOfDisplay){

	pfnSelectTime oldTrap;
	
	DmOpenRef dbRef = DmOpenDatabaseByTypeCreator ('HACK', 'SeT3', dmModeReadOnly);

	Boolean Handle = false;
	
	if (dbRef)
	{
		FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);
		Handle = oldTrap(startTimeP, endTimeP, untimed, titleP, startOfDay, endOfDay, startOfDisplay);

		DmCloseDatabase (dbRef);
	}

	return Handle;
}

