#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1000

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef void (*pfnWinDrawChars)(const Char *chars, Int16 len, Coord x, Coord y);

void MyWinDrawChars (const Char *chars, Int16 len, Coord x, Coord y)
{
	pfnWinDrawChars oldTrap;
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);

	if ((len >= 1) && (len <= 256))
	{
		if (chars[len - 1] == 0x85)
		{
			oldTrap (chars, len - 1, x, y);
			WinDrawChar (0x18, x + FntCharsWidth (chars, len - 1), y);
			return;
		}
	}

	oldTrap (chars, len, x, y);
}

