#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1000

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef void (*pfnWinDrawChars)(const Char *chars, Int16 len, Coord x, Coord y);

//void bmp (void);

void MyWinDrawChars (const Char *chars, Int16 len, Coord x, Coord y)
{
	pfnWinDrawChars oldTrap;
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);

	if ((len >= 1) && (len <= 256))
	{
		if (chars[len - 1] == 0x85)
		{
			oldTrap (chars, len - 1, x, y);
			WinDrawChar (0x18, x + FntCharsWidth (chars, len - 1), y);
			return;
		}
	}

	if (chars[0] == 0x95)
	{
	//	if (FrmGetActiveFormID () == 10400)
		{
			if ((chars[1] == 0x20) || (chars[1] == 0x30) || (chars[1] == 0x33))
			{
				DmOpenRef dbRef = DmOpenDatabaseByTypeCreator ('HACK', 'To-f', dmModeReadOnly);
				MemHandle bmpMh = DmGetResource ('abmp', 1000);
				MemHandle strMh = DmGetResource ('tSTR', 1000);
				MemPtr bmpMp = MemHandleLock (bmpMh);
				MemPtr strMp = MemHandleLock (strMh);
					WinDrawBitmap ((BitmapPtr)bmpMp, x, y);
					if (len >= 2)
					{
						switch (chars[1])
						{
							case 0x20:
								oldTrap (&chars[1], len - 1, x + 4, y);
								oldTrap ((Char*)strMp, 4, x + 4 + FntCharsWidth (&chars[1], len - 1), y);
								break;
							case 0x30:
								WinDrawChar (0x0030, x + 4, y);
								WinDrawChar (0x0030, x + 4 + FntCharWidth (0x0030), y);
								break;
							case 0x33:
								WinDrawChar (0x0033, x + 4, y);
								WinDrawChar (0x0030, x + 4 + FntCharWidth (0x0030), y);
								break;
						}
					}
				MemHandleUnlock (bmpMh);
				MemHandleUnlock (strMh);
				DmCloseDatabase (dbRef);
				return;
			}
		}
	}
	oldTrap (chars, len, x, y);

/*
		//WinDrawChar (0x2d, x, y);
		//oldTrap (&chars[1], len - 1, x + FntCharWidth (0x2d), y);
		if (chars[1] != 0x20)
		{
			DmOpenRef dbRef = DmOpenDatabaseByTypeCreator ('HACK', 'Tofu', dmModeReadOnly);
			MemHandle mh = DmGetResource ('abmp', 1000);
			MemPtr mp = MemHandleLock (mh);
			WinDrawBitmap ((BitmapPtr)mp, x, y);
			oldTrap (&chars[1], len - 1, x + 4, y);
			MemHandleUnlock (mh);
			DmCloseDatabase (dbRef);
		}
		else
		{
			WinDrawChar (0x8145, x, y);
			oldTrap (&chars[2], len - 2, x + FntWCharWidth (0x8145), y);
		}
	}
	else
	{
		oldTrap (chars, len, x, y);
	}*/
}

/*void bmp (void)
{
	asm volatile (
		".long 0x000b0004\n"
		".long 0x00010002\n"
		".long 0x00098101\n"
		".long 0x00000000\n"
		".long 0x00c01100\n"
		".long 0x00000000\n"
		".long 0x00000780\n"
		".long 0x00000080\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x000081ff\n"
		".long 0x00000000\n"
		".long 0x00160008\n"
		".long 0x00010002\n"
		".long 0x03188301\n"
		".long 0x00900000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x20000000\n"
		".long 0x000000c0\n"
		".long 0x00000000\n"
		".long 0x1e800000\n"
		".long 0x00003f80\n"
		".long 0x801e8000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
			::);
}*/

