#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1001

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef void (*pfnWinPaintChar)(WChar theChar, Coord x, Coord y);

void MyWinPaintChar (WChar theChar, Coord x, Coord y)
{
	pfnWinPaintChar oldTrap;
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);

	if ((theChar & 0x0095) == 0x0095)
	{
		LocalID lid;
		UInt16 cardNo;
		UInt32 crid;
		if (SysCurAppDatabaseV40(&cardNo, &lid) == errNone){
			if (DmDatabaseInfoV40(cardNo, lid, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &crid)
				== errNone){
				if (crid == 'pref')
				{
					DmOpenRef dbRef = DmOpenDatabaseByTypeCreator ('HACK', 'To-f', dmModeReadOnly);
					MemHandle bmpMh = DmGetResource ('abmp', 1000);
					MemPtr bmpMp = MemHandleLock (bmpMh);
					WinPaintBitmap ((BitmapPtr)bmpMp, x, y);
					MemHandleUnlock (bmpMh);
					DmCloseDatabase (dbRef);
					return;
				}
				}
			}

	}

	oldTrap (theChar, x, y);

/*
		//WinDrawChar (0x2d, x, y);
		//oldTrap (&chars[1], len - 1, x + FntCharWidth (0x2d), y);
		if (chars[1] != 0x20)
		{
			DmOpenRef dbRef = DmOpenDatabaseByTypeCreator ('HACK', 'Tofu', dmModeReadOnly);
			MemHandle mh = DmGetResource ('abmp', 1000);
			MemPtr mp = MemHandleLock (mh);
			WinDrawBitmap ((BitmapPtr)mp, x, y);
			oldTrap (&chars[1], len - 1, x + 4, y);
			MemHandleUnlock (mh);
			DmCloseDatabase (dbRef);
		}
		else
		{
			WinDrawChar (0x8145, x, y);
			oldTrap (&chars[2], len - 2, x + FntWCharWidth (0x8145), y);
		}
	}
	else
	{
		oldTrap (chars, len, x, y);
	}*/
}

/*void bmp (void)
{
	asm volatile (
		".long 0x000b0004\n"
		".long 0x00010002\n"
		".long 0x00098101\n"
		".long 0x00000000\n"
		".long 0x00c01100\n"
		".long 0x00000000\n"
		".long 0x00000780\n"
		".long 0x00000080\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x000081ff\n"
		".long 0x00000000\n"
		".long 0x00160008\n"
		".long 0x00010002\n"
		".long 0x03188301\n"
		".long 0x00900000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
		".long 0x20000000\n"
		".long 0x000000c0\n"
		".long 0x00000000\n"
		".long 0x1e800000\n"
		".long 0x00003f80\n"
		".long 0x801e8000\n"
		".long 0x00000000\n"
		".long 0x00000000\n"
			::);
}*/

