#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1002

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef Int16 (*pfnFntCharWidth)(Char ch);

Int16 MyFntCharWidth (Char ch)
{
	pfnFntCharWidth oldTrap;
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);

	if (ch == 0x95)
	{
		LocalID lid;
		UInt16 cardNo;
		UInt32 crid;
		if (SysCurAppDatabaseV40(&cardNo, &lid) == errNone){
			if (DmDatabaseInfoV40(cardNo, lid, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &crid)
				== errNone){
				if (crid == 'pref')
				{
					return 4;
				}
				}
			}
		}

	return oldTrap (ch);
}
